Page MenuHomePhabricator

Enable set cookie with IP/IP-Range blocks when blocking logged-out users
Closed, ResolvedPublic1 Story Points

Description

Set $wgCookieSetOnIpBlock to true and deploy to Test Wiki

Event Timeline

dmaza created this task.May 29 2018, 11:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 11:11 PM

Won't this require a cookie notice due to the gdpr? for eu users.

Change 436193 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable $wgCookieSetOnIpBlock on test wiki

https://gerrit.wikimedia.org/r/436193

Change 436193 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable $wgCookieSetOnIpBlock on test wiki

https://gerrit.wikimedia.org/r/436193

Mentioned in SAL (#wikimedia-operations) [2018-05-30T17:42:37Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: Enable $wgCookieSetOnIpBlock on test wiki (T195930) (duration: 01m 03s)

dmaza closed this task as Resolved.May 31 2018, 10:50 PM
dmaza moved this task from Ready to Done on the Anti-Harassment (AHT Sprint 21/22) board.
dmaza set the point value for this task to 1.Jun 1 2018, 4:04 AM

@Paladox This is not related to GDPR. T152462#4127866

Vvjjkkii renamed this task from Enable set cookie with IP/IP-Range blocks when blocking logged-out users to t0baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed dmaza as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Ankry renamed this task from t0baaaaaaa to Enable set cookie with IP/IP-Range blocks when blocking logged-out users.Jul 2 2018, 10:10 AM
Ankry assigned this task to dmaza.
Ankry updated the task description. (Show Details)
Ankry set the point value for this task to 1.
Ankry added subscribers: gerritbot, Aklapper.
Ankry closed this task as Resolved.Jul 2 2018, 10:17 AM
Ankry raised the priority of this task from High to Needs Triage.